<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WPBakery Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$mandala_content = '';
$mandala_blog_archive_mask = '%%CONTENT%%';
$mandala_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $mandala_blog_archive_mask);
if ( have_posts() ) {
	the_post(); 
	if (($mandala_content = apply_filters('the_content', get_the_content())) != '') {
		if (($mandala_pos = strpos($mandala_content, $mandala_blog_archive_mask)) !== false) {
			$mandala_content = preg_replace('/(\<p\>\s*)?'.$mandala_blog_archive_mask.'(\s*\<\/p\>)/i', $mandala_blog_archive_subst, $mandala_content);
		} else
			$mandala_content .= $mandala_blog_archive_subst;
		$mandala_content = explode($mandala_blog_archive_mask, $mandala_content);
	}
}

// Make new query
$mandala_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$mandala_args = mandala_query_add_posts_and_cats($mandala_args, '', mandala_get_theme_option('post_type'), mandala_get_theme_option('parent_cat'));
$mandala_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($mandala_page_number > 1) {
	$mandala_args['paged'] = $mandala_page_number;
	$mandala_args['ignore_sticky_posts'] = true;
}
$mandala_ppp = mandala_get_theme_option('posts_per_page');
if ((int) $mandala_ppp != 0)
	$mandala_args['posts_per_page'] = (int) $mandala_ppp;

query_posts( $mandala_args );

// Set query vars in the new query!
if (is_array($mandala_content) && count($mandala_content) == 2) {
	set_query_var('blog_archive_start', $mandala_content[0]);
	set_query_var('blog_archive_end', $mandala_content[1]);
}

get_template_part('index');
?>