<?php
/**
 * The Classic template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

$mandala_blog_style = explode('_', mandala_get_theme_option('blog_style'));
$mandala_columns = empty($mandala_blog_style[1]) ? 2 : max(2, $mandala_blog_style[1]);
$mandala_expanded = !mandala_sidebar_present() && mandala_is_on(mandala_get_theme_option('expand_content'));
$mandala_post_format = get_post_format();
$mandala_post_format = empty($mandala_post_format) ? 'standard' : str_replace('post-format-', '', $mandala_post_format);
$mandala_animation = mandala_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($mandala_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_classic post_layout_classic_'.esc_attr($mandala_columns).' post_format_'.esc_attr($mandala_post_format) ); ?>
	<?php echo (!mandala_is_off($mandala_animation) ? ' data-animation="'.esc_attr(mandala_get_animation_classes($mandala_animation)).'"' : ''); ?>
	>

	<?php

	// Featured image
	mandala_show_post_featured( array( 'thumb_size' => mandala_get_thumb_size(
													strpos(mandala_get_theme_option('body_style'), 'full')!==false 
														? ( $mandala_columns > 2 ? 'big' : 'huge' )
														: (	$mandala_columns > 2
															? ($mandala_expanded ? 'big' : 'big')
															: ($mandala_expanded ? 'big' : 'big')
															)
														)
										) );

	if ( !in_array($mandala_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('mandala_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('mandala_action_before_post_meta'); 

			// Post meta
			mandala_show_post_meta(array(
				'categories' => false,
				'date' => true,
				'edit' => false,
				'seo' => false,
				'share' => false,
				'counters' => 'comments',
				)
			);
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$mandala_show_learn_more = false;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($mandala_post_format, array('link', 'aside', 'status', 'quote'))) {
				the_content();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($mandala_post_format, array('link', 'aside', 'status', 'quote'))) {
			mandala_show_post_meta(array(
				'share' => false,
				'counters' => 'comments'
				)
			);
		}
		// More button
		if ( $mandala_show_learn_more ) {
			?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'mandala'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>