<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

$mandala_blog_style = explode('_', mandala_get_theme_option('blog_style'));
$mandala_columns = empty($mandala_blog_style[1]) ? 2 : max(2, $mandala_blog_style[1]);
$mandala_post_format = get_post_format();
$mandala_post_format = empty($mandala_post_format) ? 'standard' : str_replace('post-format-', '', $mandala_post_format);
$mandala_animation = mandala_get_theme_option('blog_animation');
$mandala_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($mandala_columns).' post_format_'.esc_attr($mandala_post_format) ); ?>
	<?php echo (!mandala_is_off($mandala_animation) ? ' data-animation="'.esc_attr(mandala_get_animation_classes($mandala_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($mandala_image[1]) && !empty($mandala_image[2])) echo intval($mandala_image[1]) .'x' . intval($mandala_image[2]); ?>"
	data-src="<?php if (!empty($mandala_image[0])) echo esc_url($mandala_image[0]); ?>"
	>

	<?php
	$mandala_image_hover = 'icon';
	if (in_array($mandala_image_hover, array('icons', 'zoom'))) $mandala_image_hover = 'dots';
	// Featured image
	mandala_show_post_featured(array(
		'hover' => $mandala_image_hover,
		'thumb_size' => mandala_get_thumb_size( strpos(mandala_get_theme_option('body_style'), 'full')!==false || $mandala_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. the_title_attribute( array( 'echo' => false ) ) . '</a></h2>'
							. '<div class="post_description">'
								. mandala_show_post_meta(array(
									'categories' => true,
									'date' => true,
									'edit' => false,
									'seo' => false,
									'share' => true,
									'counters' => 'comments',
									'echo' => false
									))
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'mandala') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>