<?php
/**
 * The Portfolio template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

$mandala_blog_style = explode('_', mandala_get_theme_option('blog_style'));
$mandala_columns = empty($mandala_blog_style[1]) ? 2 : max(2, $mandala_blog_style[1]);
$mandala_post_format = get_post_format();
$mandala_post_format = empty($mandala_post_format) ? 'standard' : str_replace('post-format-', '', $mandala_post_format);
$mandala_animation = mandala_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($mandala_columns).' post_format_'.esc_attr($mandala_post_format) ); ?>
	<?php echo (!mandala_is_off($mandala_animation) ? ' data-animation="'.esc_attr(mandala_get_animation_classes($mandala_animation)).'"' : ''); ?>
	>

	<?php
	$mandala_image_hover = mandala_get_theme_option('image_hover');
	// Featured image
	mandala_show_post_featured(array(
		'thumb_size' => mandala_get_thumb_size(strpos(mandala_get_theme_option('body_style'), 'full')!==false || $mandala_columns < 4 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $mandala_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $mandala_image_hover == 'dots' ? '<div class="post_info">'.the_title_attribute( array( 'echo' => false ) ).'</div>' : ''
	));
	?>
</article>