<?php
/**
 * The Sticky template for displaying sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

$mandala_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$mandala_post_format = get_post_format();
$mandala_post_format = empty($mandala_post_format) ? 'standard' : str_replace('post-format-', '', $mandala_post_format);
$mandala_animation = mandala_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($mandala_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($mandala_post_format) ); ?>
	<?php echo (!mandala_is_off($mandala_animation) ? ' data-animation="'.esc_attr(mandala_get_animation_classes($mandala_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	mandala_show_post_featured(array(
		'thumb_size' => mandala_get_thumb_size($mandala_columns==1 ? 'big' : ($mandala_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($mandala_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			mandala_show_post_meta();
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>