<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

						// Widgets area inside page content
						mandala_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					mandala_create_widgets_area('widgets_below_page');

					$mandala_body_style = mandala_get_theme_option('body_style');
					if ($mandala_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			$mandala_footer_scheme =  mandala_is_inherit(mandala_get_theme_option('footer_scheme')) ? mandala_get_theme_option('color_scheme') : mandala_get_theme_option('footer_scheme');
			?>
			
			<footer class="site_footer_wrap scheme_<?php echo esc_attr($mandala_footer_scheme); ?>">
				<?php
				// Footer sidebar
				$mandala_footer_name = mandala_get_theme_option('footer_widgets');
				$mandala_footer_present = !mandala_is_off($mandala_footer_name) && is_active_sidebar($mandala_footer_name);
				if ($mandala_footer_present) { 
					mandala_storage_set('current_sidebar', 'footer');
					$mandala_footer_wide = mandala_get_theme_option('footer_wide');
					ob_start();
					do_action( 'mandala_action_before_sidebar' );
					if ( !dynamic_sidebar($mandala_footer_name) ) {
						// Put here html if user no set widgets in sidebar
					}
					do_action( 'mandala_action_after_sidebar' );
					$mandala_out = ob_get_contents();
					ob_end_clean();
					$mandala_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $mandala_out);
					$mandala_need_columns = true;
					if ($mandala_need_columns) {
						$mandala_columns = max(0, (int) mandala_get_theme_option('footer_columns'));
						if ($mandala_columns == 0) $mandala_columns = min(6, max(1, substr_count($mandala_out, '<aside ')));
						if ($mandala_columns > 1)
							$mandala_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($mandala_columns).' widget ', $mandala_out);
						else
							$mandala_need_columns = false;
					}
					?>
					<div class="footer_wrap widget_area<?php echo !empty($mandala_footer_wide) ? ' footer_fullwidth' : ''; ?>">
						<div class="footer_wrap_inner widget_area_inner">
							<?php 
							if (!$mandala_footer_wide) { 
								?><div class="content_wrap"><?php
							}
							if ($mandala_need_columns) {
								?><div class="columns_wrap"><?php
							}
							mandala_show_layout($mandala_out);
							if ($mandala_need_columns) {
								?></div><!-- /.columns_wrap --><?php
							}
							if (!$mandala_footer_wide) {
								?></div><!-- /.content_wrap --><?php
							}
							?>
						</div><!-- /.footer_wrap_inner -->
					</div><!-- /.footer_wrap -->
				<?php
				}
	
				// Logo
				if (mandala_is_on(mandala_get_theme_option('logo_in_footer'))) {
					$mandala_logo_image = '';
					if (mandala_get_retina_multiplier(2) > 1)
						$mandala_logo_image = mandala_get_theme_option( 'logo_footer_retina' );
					if (empty($mandala_logo_image)) 
						$mandala_logo_image = mandala_get_theme_option( 'logo_footer' );
					$mandala_logo_text   = get_bloginfo( 'name' );
					if (!empty($mandala_logo_image) || !empty($mandala_logo_text)) {
						?>
						<div class="logo_footer_wrap">
							<div class="logo_footer_wrap_inner">
								<?php
								if (!empty($mandala_logo_image)) {
									$mandala_attr = mandala_getimagesize($mandala_logo_image);
									echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($mandala_logo_image).'" class="logo_footer_image" alt="'.esc_attr(basename($mandala_logo_image)).'"'.(!empty($mandala_attr[3]) ? sprintf(' %s', $mandala_attr[3]) : '').'></a>' ;
								} else if (!empty($mandala_logo_text)) {
									echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($mandala_logo_text) . '</a></h1>';
								}
								?>
							</div>
						</div>
						<?php
					}
				}

				// Footer menu
				$mandala_menu_footer = mandala_get_nav_menu('menu_footer');
				if (!empty($mandala_menu_footer)) {
					?>
					<div class="menu_footer_wrap">
						<div class="menu_footer_wrap_inner">
							<?php mandala_show_layout($mandala_menu_footer); ?>
						</div>
					</div>
					<?php
				}
				
				// Copyright area
				$mandala_copyright_scheme = mandala_is_inherit(mandala_get_theme_option('copyright_scheme')) ? $mandala_footer_scheme : mandala_get_theme_option('copyright_scheme');
				?> 
				<div class="copyright_wrap scheme_<?php echo esc_attr($mandala_copyright_scheme); ?>">
					<div class="copyright_wrap_inner">
						<div class="content_wrap">
							<div class="copyright_text"><?php
								$mandala_copyright = mandala_prepare_macros(mandala_get_theme_option('copyright'));
								if (!empty($mandala_copyright)) {
									if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $mandala_copyright, $mandala_matches)) {
										$mandala_copyright = str_replace($mandala_matches[1], date(str_replace(array('{', '}'), '', $mandala_matches[1])), $mandala_copyright);
									}
									mandala_show_layout(nl2br($mandala_copyright));
								}
							?></div>
							<?php
							// Socials
							if ( mandala_is_on(mandala_get_theme_option('socials_in_footer')) && ($mandala_output = mandala_get_socials_links()) != '') {
								?>
								<div class="socials_footer_wrap socials_wrap">
									<div class="socials_footer_wrap_inner">
										<?php mandala_show_layout($mandala_output); ?>
									</div>
								</div>
								<?php
							}
							?>
						</div>
					</div>
				</div>

			</footer><!-- /.site_footer_wrap -->
				<?php
				$border_url = mandala_get_theme_option('footer_bottom_border');
				if (!empty($border_url)) {
					?>
						<div class="footer_bottom_border">
							<img src="<?php echo esc_url($border_url); ?>" alt="<?php echo esc_attr(basename($border_url)); ?>">
						</div>
					<?php
				}
				?>				
			
		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (mandala_is_on(mandala_get_theme_option('debug_mode')) && file_exists(mandala_get_file_dir('images/makeup.jpg'))) { ?>
		<img src="<?php echo esc_url(mandala_get_file_url('images/makeup.jpg')); ?>" id="makeup" alt="makeup.jpg">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>