<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mandala_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'mandala_cf7_theme_setup9', 9 );
	function mandala_cf7_theme_setup9() {
		
		if (mandala_exists_cf7()) {
			add_action( 'wp_enqueue_scripts', 								'mandala_cf7_frontend_scripts', 1100 );
			add_filter( 'mandala_filter_merge_styles',						'mandala_cf7_merge_styles' );
			add_filter('wpcf7_autop_or_not', 'mandala_cf7_wpcf7_autop');
		}
		if (is_admin()) {
			add_filter( 'mandala_filter_tgmpa_required_plugins',			'mandala_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mandala_cf7_tgmpa_required_plugins' ) ) {
	
	function mandala_cf7_tgmpa_required_plugins($list=array()) {
		if (in_array('contact-form-7', mandala_storage_get('required_plugins'))) {
			// CF7 plugin
			$list[] = array(
					'name' 		=> esc_html__('Contact Form 7', 'mandala'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
			);
		}
		return $list;
	}
}



// Check if cf7 installed and activated
if ( !function_exists( 'mandala_exists_cf7' ) ) {
	function mandala_exists_cf7() {
		return class_exists('WPCF7');
	}
}

// Remove <p> and <br/> from Contact Form 7
if ( ! function_exists( 'mandala_cf7_wpcf7_autop' ) ) {
	function mandala_cf7_wpcf7_autop() {
		return false;
	}
}

	
// Enqueue custom styles
if ( !function_exists( 'mandala_cf7_frontend_scripts' ) ) {
	
	function mandala_cf7_frontend_scripts() {
		if (mandala_is_on(mandala_get_theme_option('debug_mode')) && mandala_get_file_dir('plugins/contact-form-7/contact-form-7.css')!='')
			wp_enqueue_style( 'mandala-contact-form-7',  mandala_get_file_url('plugins/contact-form-7/contact-form-7.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'mandala_cf7_merge_styles' ) ) {
	
	function mandala_cf7_merge_styles($list) {
		$list[] = 'plugins/contact-form-7/contact-form-7.css';
		return $list;
	}
}
?>