<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mandala_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'mandala_revslider_theme_setup9', 9 );
	function mandala_revslider_theme_setup9() {
		if (is_admin()) {
			add_filter( 'mandala_filter_tgmpa_required_plugins',	'mandala_revslider_tgmpa_required_plugins' );
		}
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'mandala_exists_revslider' ) ) {
	function mandala_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mandala_revslider_tgmpa_required_plugins' ) ) {
	
	function mandala_revslider_tgmpa_required_plugins($list=array()) {
		if (in_array('revslider', mandala_storage_get('required_plugins'))) {
			$path = mandala_get_file_dir('plugins/revslider/revslider.zip');
			if (file_exists($path)) {
				$list[] = array(
						'name' 		=> esc_html__('Revolution Slider', 'mandala'),
						'slug' 		=> 'revslider',
						'version'	=> '6.6.13',
						'source'	=> $path,
						'required' 	=> false
					);
			}
		}			
		return $list;
	}
}
?>