<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

$mandala_sidebar_position = mandala_get_theme_option('sidebar_position');
if (mandala_sidebar_present()) {
	$mandala_sidebar_name = mandala_get_theme_option('sidebar_widgets');
	mandala_storage_set('current_sidebar', 'sidebar');
	?>
	<div class="sidebar <?php echo esc_attr($mandala_sidebar_position); ?> widget_area<?php if (!mandala_is_inherit(mandala_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(mandala_get_theme_option('sidebar_scheme')); ?>" role="complementary">
		<div class="sidebar_inner">
			<?php
			ob_start();
			do_action( 'mandala_action_before_sidebar' );
			if ( !dynamic_sidebar($mandala_sidebar_name) ) {
				// Put here html if user no set widgets in sidebar
			}
			do_action( 'mandala_action_after_sidebar' );
			$mandala_out = ob_get_contents();
			ob_end_clean();
			mandala_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $mandala_out));
			?>
		</div><!-- /.sidebar_inner -->
	</div><!-- /.sidebar -->
	<?php
}
?>