<?php
/**
 * The template to display "Header 1"
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

$mandala_header_css = $mandala_header_image = '';
$mandala_header_video = wp_is_mobile() ? '' : mandala_get_theme_option('header_video');
if (true || empty($mandala_header_video)) {
	$mandala_header_image = get_header_image();
	if (mandala_is_on(mandala_get_theme_option('header_image_override')) && apply_filters('mandala_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($mandala_cat_img = mandala_get_category_image()) != '')
				$mandala_header_image = $mandala_cat_img;
		} else if (is_singular() || mandala_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$mandala_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($mandala_header_image)) $mandala_header_image = $mandala_header_image[0];
			} else
				$mandala_header_image = '';
		}
	}
}

// Store header image for navi
set_query_var('mandala_header_image', $mandala_header_image || $mandala_header_video);

?><header class="top_panel top_panel_default<?php
					echo !empty($mandala_header_image) || !empty($mandala_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($mandala_header_video!='') echo ' with_bg_video';
					if ($mandala_header_image!='') echo ' '.esc_attr(mandala_add_inline_style('background-image: url('.esc_url($mandala_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (mandala_is_on(mandala_get_theme_option('header_fullheight'))) echo ' header_fullheight trx-stretch-height';
					?> scheme_<?php echo esc_attr(mandala_is_inherit(mandala_get_theme_option('header_scheme')) 
													? mandala_get_theme_option('color_scheme') 
													: mandala_get_theme_option('header_scheme'));
					?>"><?php
	
	// Main menu
	if (mandala_get_theme_option("menu_style") == 'top') {
		// Mobile menu button
		?><a class="menu_mobile_button icon-menu-2"></a><?php
		// Navigation panel
		get_template_part( 'templates/header-navi' );
	}

	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

	// Header for single posts
	

?></header>