<?php
/**
 * The template for displaying Logo or Site name and slogan in the Header
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

// Site logo
$mandala_logo_image = '';
if (mandala_get_retina_multiplier(2) > 1)
	$mandala_logo_image = mandala_get_theme_option( 'logo_retina' );
if (empty($mandala_logo_image)) 
	$mandala_logo_image = mandala_get_theme_option( 'logo' );
$mandala_logo_text   = get_bloginfo( 'name' );
$mandala_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($mandala_logo_image) || !empty($mandala_logo_text)) {
	?><a class="logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($mandala_logo_image)) {
			$mandala_attr = mandala_getimagesize($mandala_logo_image);
			echo '<img src="'.esc_url($mandala_logo_image).'" class="logo_main" alt="'.esc_attr(basename($mandala_logo_image)).'"'.(!empty($mandala_attr[3]) ? sprintf(' %s', $mandala_attr[3]) : '').'>' ;
		} else {
			mandala_show_layout(mandala_prepare_macros($mandala_logo_text), '<span class="logo_text">', '</span>');
			mandala_show_layout(mandala_prepare_macros($mandala_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>