<?php
/**
 * The template for displaying main menu
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */
$mandala_header_image = get_query_var('mandala_header_image');
?>
<div class="top_panel_fixed_wrap"></div>
<div class="top_panel_navi 
			<?php if ($mandala_header_image!='') echo ' with_bg_image'; ?>
			scheme_<?php echo esc_attr(mandala_is_inherit(mandala_get_theme_option('menu_scheme')) 
												? (mandala_is_inherit(mandala_get_theme_option('header_scheme')) 
													? mandala_get_theme_option('color_scheme') 
													: mandala_get_theme_option('header_scheme')) 
												: mandala_get_theme_option('menu_scheme')); ?>">
	<div class="menu_main_wrap clearfix menu_hover_<?php echo esc_attr(mandala_get_theme_option('menu_hover')); ?>">
		<div class="content_wrap">
			<?php
			// Filter header components
			$mandala_header_parts = apply_filters('mandala_filter_header_parts', array(
				'logo' => true,
				'menu' => true,
				'search' => false
				),
				'menu_main');
			
			// Logo
			if (!empty($mandala_header_parts['logo'])) {
				get_template_part( 'templates/header-logo' );
			}
			
			// Main menu
			if (!empty($mandala_header_parts['menu'])) {
				$mandala_mandala_menu_main = mandala_get_nav_menu('menu_main');
				if (empty($mandala_mandala_menu_main)) $mandala_mandala_menu_main = mandala_get_nav_menu();
				mandala_show_layout($mandala_mandala_menu_main);
				// Store menu layout for the mobile menu
				set_query_var('mandala_menu_main', $mandala_mandala_menu_main);
			}

			// Display search field
			if (!empty($mandala_header_parts['search'])) {
				set_query_var('mandala_search_in_header', true);
				get_template_part( 'templates/search-field' );
			}
			?>
		</div>
	</div>
</div><!-- /.top_panel_navi -->