<?php
/**
 * The template for displaying Page title and Breadcrumbs
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

// Page (category, tag, archive, author) title
$mandala_header_css = $mandala_header_image = '';
$mandala_header_video = wp_is_mobile() ? '' : mandala_get_theme_option('header_video');
if (true || empty($mandala_header_video)) {
	$mandala_header_image = get_header_image();
	if (mandala_is_on(mandala_get_theme_option('header_image_override')) && apply_filters('mandala_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($mandala_cat_img = mandala_get_category_image()) != '')
				$mandala_header_image = $mandala_cat_img;
		} else if (is_singular() || mandala_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$mandala_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($mandala_header_image)) $mandala_header_image = $mandala_header_image[0];
			} else
				$mandala_header_image = '';
		}
	}
}

if ( mandala_need_page_title() ) {
	set_query_var('mandala_title_showed', true);
	$mandala_top_icon = mandala_get_category_icon();
	?>
	<div class="top_panel_title_wrap<?php
					echo !empty($mandala_header_image) || !empty($mandala_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($mandala_header_video!='') echo ' with_bg_video';
					if ($mandala_header_image!='') echo ' '.esc_attr(mandala_add_inline_style('background-image: url('.esc_url($mandala_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (mandala_is_on(mandala_get_theme_option('header_fullheight'))) echo ' header_fullheight trx-stretch-height';
					?> scheme_<?php echo esc_attr(mandala_is_inherit(mandala_get_theme_option('header_scheme')) 
													? mandala_get_theme_option('color_scheme') 
													: mandala_get_theme_option('header_scheme'));
					?>">
		<div class="top_panel_title">
			<div class="content_wrap">
				<div class="page_title">
					<?php
				
					// Blog/Post title
					$mandala_blog_title = mandala_get_blog_title();
					$mandala_blog_title_text = $mandala_blog_title_class = $mandala_blog_title_link = $mandala_blog_title_link_text = '';
					if (is_array($mandala_blog_title)) {
						$mandala_blog_title_text = $mandala_blog_title['text'];
						$mandala_blog_title_class = !empty($mandala_blog_title['class']) ? ' '.$mandala_blog_title['class'] : '';
						$mandala_blog_title_link = !empty($mandala_blog_title['link']) ? $mandala_blog_title['link'] : '';
						$mandala_blog_title_link_text = !empty($mandala_blog_title['link_text']) ? $mandala_blog_title['link_text'] : '';
					} else
						$mandala_blog_title_text = $mandala_blog_title;
						if ((get_post_type()=='cpt_dishes') || (get_post_type()=='cpt_courses')){
						} else {
							?>
								<h1 class="page_caption<?php echo esc_attr($mandala_blog_title_class); ?>"><?php
									if (!empty($mandala_top_icon)) {
										?><img src="<?php echo esc_url($mandala_top_icon); ?>" alt="<?php echo esc_attr(basename($mandala_top_icon)); ?>"><?php
									}
									echo wp_kses_data($mandala_blog_title_text);
								?></h1>
							<?php
						}
					?>
					<?php
					if (!empty($mandala_blog_title_link) && !empty($mandala_blog_title_link_text)) {
						?><a href="<?php echo esc_url($mandala_blog_title_link); ?>" class="theme_button theme_button_small page_title_link"><?php echo esc_html($mandala_blog_title_link_text); ?></a><?php
					}
					
					// Category/Tag description
					if ( is_category() || is_tag() || is_tax() ) 
						the_archive_description( '<div class="page_description">', '</div>' );
					?>
				</div>
				<?php
				// Breadcrumbs
				if (mandala_is_on(mandala_get_theme_option('show_breadcrumbs'))) {
					mandala_show_layout(mandala_get_breadcrumbs(), '<div class="breadcrumbs">', '</div>');
				}
				?>
			</div>
		</div>
	</div>
	<?php
}
?>