<?php
/**
 * The template for displaying Page title and Breadcrumbs
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

// Page (category, tag, archive, author) title

if ( mandala_need_page_title() ) {
	set_query_var('mandala_title_showed', true);
	$mandala_top_icon = mandala_get_category_icon();
	?>
	<div class="top_panel_title_wrap">
		<div class="content_wrap">
			<div class="top_panel_title">
				<div class="page_title">
					<?php
				
					// Blog/Post title
					$mandala_blog_title = mandala_get_blog_title();
					$mandala_blog_title_text = $mandala_blog_title_class = $mandala_blog_title_link = $mandala_blog_title_link_text = '';
					if (is_array($mandala_blog_title)) {
						$mandala_blog_title_text = $mandala_blog_title['text'];
						$mandala_blog_title_class = !empty($mandala_blog_title['class']) ? ' '.$mandala_blog_title['class'] : '';
						$mandala_blog_title_link = !empty($mandala_blog_title['link']) ? $mandala_blog_title['link'] : '';
						$mandala_blog_title_link_text = !empty($mandala_blog_title['link_text']) ? $mandala_blog_title['link_text'] : '';
					} else
						$mandala_blog_title_text = $mandala_blog_title;
						if ((get_post_type()=='cpt_dishes') || (get_post_type()=='cpt_courses')){
						} else {
							?>
								<h1 class="page_caption<?php echo esc_attr($mandala_blog_title_class); ?>"><?php
									if (!empty($mandala_top_icon)) {
										?><img src="<?php echo esc_url($mandala_top_icon); ?>" alt="<?php echo esc_attr(basename($mandala_top_icon)); ?>"><?php
									}
									echo wp_kses($mandala_blog_title_text, 'mandala_kses_content');
								?></h1>
							<?php
						}
					?>

					<?php
					if (!empty($mandala_blog_title_link) && !empty($mandala_blog_title_link_text)) {
						?><a href="<?php echo esc_url($mandala_blog_title_link); ?>" class="theme_button theme_button_small page_title_link"><?php echo esc_html($mandala_blog_title_link_text); ?></a><?php
					}
					
					// Category/Tag description
					if ( is_category() || is_tag() || is_tax() ) 
						the_archive_description( '<div class="page_description">', '</div>' );
					?>
				</div>
				<?php
				// Breadcrumbs
				if (mandala_is_on(mandala_get_theme_option('show_breadcrumbs'))) {
					mandala_show_layout(mandala_get_breadcrumbs(), '<div class="breadcrumbs">', '</div>');
				}
				?>
			</div>
		</div>
	</div>
	<?php
}
?>