<?php
/**
 * The template for displaying Header widgets area
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

// Header sidebar
$mandala_header_name = mandala_get_theme_option('header_widgets');
$mandala_header_present = !mandala_is_off($mandala_header_name) && is_active_sidebar($mandala_header_name);
if ($mandala_header_present) { 
	mandala_storage_set('current_sidebar', 'header');
	$mandala_header_wide = mandala_get_theme_option('header_wide');
	ob_start();
	do_action( 'mandala_action_before_sidebar' );
	if ( !dynamic_sidebar($mandala_header_name) ) {
		// Put here html if user no set widgets in sidebar
	}
	do_action( 'mandala_action_after_sidebar' );
	$mandala_widgets_output = ob_get_contents();
	ob_end_clean();
	$mandala_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $mandala_widgets_output);
	$mandala_need_columns = strpos($mandala_widgets_output, 'columns_wrap')===false;
	if ($mandala_need_columns) {
		$mandala_columns = max(0, (int) mandala_get_theme_option('header_columns'));
		if ($mandala_columns == 0) $mandala_columns = min(6, max(1, substr_count($mandala_widgets_output, '<aside ')));
		if ($mandala_columns > 1)
			$mandala_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($mandala_columns).' widget ', $mandala_widgets_output);
		else
			$mandala_need_columns = false;
	}
	?>
	<div class="header_widgets_wrap widget_area<?php echo !empty($mandala_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
		<div class="header_widgets_wrap_inner widget_area_inner">
			<?php 
			if (!$mandala_header_wide) { 
				?><div class="content_wrap"><?php
			}
			if ($mandala_need_columns) {
				?><div class="columns_wrap"><?php
			}
			mandala_show_layout($mandala_widgets_output);
			if ($mandala_need_columns) {
				?></div>	<!-- /.columns_wrap --><?php
			}
			if (!$mandala_header_wide) {
				?></div>	<!-- /.content_wrap --><?php
			}
			?>
		</div>	<!-- /.header_widgets_wrap_inner -->
	</div>	<!-- /.header_widgets_wrap -->
<?php
}
?>