<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

// Thumb image
$mandala_thumb_image = has_post_thumbnail() 
			? (function_exists('mandala_specific_trx_addons_get_thumb_size') ? wp_get_attachment_image_src(get_post_thumbnail_id(), mandala_specific_trx_addons_get_thumb_size('mandala-thumb-square')) : '') 
			: ( (float) wp_get_theme()->get('Version') > 1.0
					? mandala_get_no_image_placeholder()
					: ''
				);
if (is_array($mandala_thumb_image)) $mandala_thumb_image = $mandala_thumb_image[0];
$mandala_link = get_permalink();
$mandala_hover = mandala_get_theme_option('image_hover');
?>
<div class="related_item related_item_style_2">
	<?php if (!empty($mandala_thumb_image)) { ?>
		<div class="post_featured<?php
					if (has_post_thumbnail()) echo ' hover_'.esc_attr($mandala_hover); 
					echo ' ' . esc_attr(mandala_add_inline_style('background-image:url('.esc_url($mandala_thumb_image).');'));
					?>">
			<?php
			if (has_post_thumbnail()) {
				?><div class="mask"></div><?php
				mandala_hovers_add_icons($mandala_hover);
			}
			?>
		</div>
	<?php } ?>
	<div class="post_header entry-header">
		<h6 class="post_title entry-title"><a href="<?php echo esc_url($mandala_link); ?>"><?php echo the_title(); ?></a></h6>
		<?php
		if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
			?><span class="post_date"><a href="<?php echo esc_url($mandala_link); ?>"><?php echo mandala_get_date(); ?></a></span><?php
		}
		?>
	</div>
</div>