<?php
/**
 * The template for displaying posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage MANDALA
 * @since MANDALA 1.0
 */

$mandala_post_id    = get_the_ID();
$mandala_post_date  = mandala_get_date();
$mandala_post_title = get_the_title();
$mandala_post_link  = get_permalink();
$mandala_post_author_id   = get_the_author_meta('ID');
$mandala_post_author_name = get_the_author_meta('display_name');
$mandala_post_author_url  = get_author_posts_url($mandala_post_author_id, '');

$mandala_args = get_query_var('mandala_args_widgets_posts');
$mandala_show_date = isset($mandala_args['show_date']) ? (int) $mandala_args['show_date'] : 1;
$mandala_show_image = isset($mandala_args['show_image']) ? (int) $mandala_args['show_image'] : 1;
$mandala_show_author = isset($mandala_args['show_author']) ? (int) $mandala_args['show_author'] : 1;
$mandala_show_counters = isset($mandala_args['show_counters']) ? (int) $mandala_args['show_counters'] : 1;
$mandala_show_categories = isset($mandala_args['show_categories']) ? (int) $mandala_args['show_categories'] : 1;

$mandala_output = mandala_storage_get('mandala_output_widgets_posts');

$mandala_post_counters_output = '';
if ( $mandala_show_counters ) {
	$mandala_post_counters_output = '<span class="post_info_item post_info_counters">'
								. mandala_get_post_counters('comments')
							. '</span>';
}


$mandala_output .= '<article class="post_item with_thumb">';

if ($mandala_show_image) {
	$mandala_post_thumb = get_the_post_thumbnail($mandala_post_id, mandala_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($mandala_post_thumb) $mandala_output .= '<div class="post_thumb">' . ($mandala_post_link ? '<a href="' . esc_url($mandala_post_link) . '">' : '') . ($mandala_post_thumb) . ($mandala_post_link ? '</a>' : '') . '</div>';
}

$mandala_output .= '<div class="post_content">'
			. ($mandala_show_categories 
					? '<div class="post_categories">'
						. mandala_get_post_categories()
						. $mandala_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($mandala_post_link ? '<a href="' . esc_url($mandala_post_link) . '">' : '') . ($mandala_post_title) . ($mandala_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('mandala_filter_get_post_info', 
								'<div class="post_info">'
									. ($mandala_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($mandala_post_link ? '<a href="' . esc_url($mandala_post_link) . '" class="post_info_date">' : '') 
											. esc_html($mandala_post_date) 
											. ($mandala_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($mandala_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'mandala') . ' ' 
											. ($mandala_post_link ? '<a href="' . esc_url($mandala_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($mandala_post_author_name) 
											. ($mandala_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$mandala_show_categories && $mandala_post_counters_output
										? $mandala_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
mandala_storage_set('mandala_output_widgets_posts', $mandala_output);
?>