<?php
/**
 * The style "default" of the Courses
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_courses');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);

if ($args['slider']) {
	?><div class="swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}
?>
<div class="sc_courses_item">
	<?php if (has_post_thumbnail()) { ?>
		<div class="sc_courses_item_thumb post_featured with_thumb hover_icon">
			<?php the_post_thumbnail( mandala_specific_trx_addons_get_thumb_size('mandala-thumb-square'), array('alt' => the_title_attribute( array( 'echo' => false ) )) ); ?>
			<div class="mask"></div>
			<div class="icons">
				<a href="<?php the_permalink(); ?>" aria-hidden="true" class="icon-eye-light"></a>
			</div>
		</div>
	<?php } ?>
	<div class="sc_courses_item_info">
		<h4 class="sc_courses_item_title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
		<div class="sc_courses_item_link">
			<div class="sc_item_button sc_button_wrap sc_align_center">
				<a href="<?php the_permalink(); ?>" class="sc_button sc_button_simple sc_button_size_small sc_button_icon_left">
					<span class="sc_button_text">
						<span class="sc_button_title"><?php esc_html_e('Learn More', 'mandala'); ?></span>
					</span>
				</a>
			</div>
		</div>
	</div>
</div>
<?php
if ($args['slider'] || (int)$args['columns'] > 1) {
	?></div><?php
}

?>