<?php
/**
 * The style "float" of the Dishes
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.6.09
 */

$args = get_query_var('trx_addons_args_sc_dishes');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
$link = get_permalink();
$featured_position = !empty($args['featured_position']) ? str_replace('top', 'left', $args['featured_position']) : 'left';

if ($args['slider']) {
	?><div class="swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}
?>
<div class="sc_dishes_item with_image<?php
	if (isset($args['hide_excerpt']) && (int)$args['hide_excerpt']>0) echo ' without_content';
	echo ' sc_dishes_item_featured_'.esc_attr($featured_position);
	?>"<?php
	if (!empty($args['popup'])) {
		?> data-post_id="<?php echo esc_attr(get_the_ID()); ?>"<?php
	}
	?>>
	<div class="sc_dishes_item_header">
		<h4 class="sc_dishes_item_title">
			<?php
			if ((int)$meta['product'] > 0) {
				?><a href="<?php the_permalink($meta['product']); ?>"><span><?php
			} else {
			?>
				<a href="<?php echo esc_url($link); ?>"><span><?php
			}
			the_title();?>&nbsp;&nbsp;</span>
			<?php


			if (!empty($meta['price'])) {
				?><div class="sc_dishes_item_price"><?php
					if (!empty($meta['currency'])) {
					?><span class="sc_dishes_currency"><?php echo wp_kses($meta['currency'], 'mandala_kses_content'); ?></span><span class="sc_dishes_value"><?php echo wp_kses($meta['price'], 'mandala_kses_content'); ?></span><?php
					} else {
						?><span class="sc_dishes_value"><?php echo esc_html($meta['price']); ?></span><?php
					}
				?></div><?php
			}
		?></a></h4>
		<?php
		if (!empty($meta['description'])) {
			?><div class="sc_dishes_item_description">
				<span class="sc_dishes_description"><?php echo esc_html($meta['description']); ?></span>
			</div><?php
		}

		?>
	</div>
	<?php if (!isset($args['hide_excerpt']) || (int)$args['hide_excerpt']==0) { ?>
		<div class="sc_dishes_item_content"><?php the_excerpt(); ?></div>
		<div class="sc_dishes_item_button sc_item_button">
			<a href="<?php echo esc_url($link); ?>" class="sc_button sc_button_simple"><?php esc_html_e('Learn more', 'mandala'); ?></a>
			<?php
			if ((int)$meta['product'] > 0) {
				?><a href="<?php the_permalink($meta['product']); ?>" class="sc_button sc_button_simple"><?php esc_html_e('Order now', 'mandala'); ?></a><?php
			}
			?>
		</div>
	<?php } ?>
</div>
<?php
if ($args['slider'] || (int)$args['columns'] > 1) {
	?></div><?php
}
?>